%define upstream_name Dist-Zilla-Plugin-Prereqs-Upgrade
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Upgrade existing prerequisites in place
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This allows you to automatically upgrade selected prerequisites to
selected versions, if, and only if, they're already prerequisites.

This is intended to be used to compliment "[AutoPrereqs]" without adding
dependencies.

  [AutoPrereqs]

  [Prereqs::Upgrade]
  Moose = 2.0 ; Moose 2.0 is added as a minimum to runtime.recommends to
  2.0 if a lower version is in runtime.requires

This is intended to be especially helpful in "PluginBundle"'s where one
may habitually always want a certain version of a certain dependency
every time they use it, but don't want to be burdened with remembering
to encode that version of it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.1.1-4.mga9
+ Revision: 1809057
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-3.mga8
+ Revision: 1504127
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.1-2.mga7
+ Revision: 1283256
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.1.1-1.mga7
+ Revision: 1125976
- update to 0.001001

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026557
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968263
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851679
- imported package perl-Dist-Zilla-Plugin-Prereqs-Upgrade

